Package org.drinkless.tdlib

# Class TdApi.Venue

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Venue

Enclosing class:
  `TdApi`

public static class TdApi.Venue extends TdApi.Object
Describes a venue.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `address`
  Venue address; as defined by the sender.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Identifier of the venue in the provider database; as defined by the sender.
  `TdApi.Location`
  `location`
  Venue location; as defined by the sender.
  `String`
  `provider`
  Provider of the venue database; as defined by the sender.
  `String`
  `title`
  Venue name; as defined by the sender.
  `String`
  `type`
  Type of the venue in the provider database; as defined by the sender.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Venue()`
  Describes a venue.
  `Venue(TdApi.Location location, String title, String address, String provider, String id, String type)`
  Describes a venue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### location

    public TdApi.Location location
    Venue location; as defined by the sender.

  - ### title

    public String title
    Venue name; as defined by the sender.

  - ### address

    public String address
    Venue address; as defined by the sender.

  - ### provider

    public String provider
    Provider of the venue database; as defined by the sender. Currently, only "foursquare" and "gplaces" (Google Places) need to be supported.

  - ### id

    public String id
    Identifier of the venue in the provider database; as defined by the sender.

  - ### type

    public String type
    Type of the venue in the provider database; as defined by the sender.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Venue

    public Venue()
    Describes a venue.

  - ### Venue

    public Venue(TdApi.Location location, String title, String address, String provider, String id, String type)
    Describes a venue.
    Parameters:
      `location` - Venue location; as defined by the sender.
      `title` - Venue name; as defined by the sender.
      `address` - Venue address; as defined by the sender.
      `provider` - Provider of the venue database; as defined by the sender. Currently, only "foursquare" and "gplaces" (Google Places) need to be supported.
      `id` - Identifier of the venue in the provider database; as defined by the sender.
      `type` - Type of the venue in the provider database; as defined by the sender.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR